-- | Module which defines the Widget data type
-- and operations which apply to all widgets.

module Dingo.Widget
       ( Widget(..)
       , WidgetId
       , getWidgetState
       , setWidgetState
       , widgetSelector
       ) where

import Dingo.Internal.Base (WidgetId)
import Dingo.Internal.Widget (Widget(..), getWidgetState, setWidgetState, widgetSelector)
